/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomSQLResultSet_H__
#define __GdomSQLResultSet_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomSQLResultSet GdomSQLResultSet;
typedef struct _GdomSQLResultSetClass GdomSQLResultSetClass;


#define GDOM_TYPE_SQL_RESULT_SET            (gdom_sql_result_set_get_type())
#define GDOM_SQL_RESULT_SET(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_SQL_RESULT_SET, GdomSQLResultSet))
#define GDOM_SQL_RESULT_SET_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_SQL_RESULT_SET, GdomSQLResultSet)Class)
#define GDOM_IS_SQL_RESULT_SET(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_SQL_RESULT_SET))
#define GDOM_IS_SQL_RESULT_SET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_SQL_RESULT_SET))
#define GDOM_SQL_RESULT_SET_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_SQL_RESULT_SET, GdomSQLResultSetClass))

typedef struct _GdomSQLResultSetPrivate GdomSQLResultSetPrivate;

struct _GdomSQLResultSet {
    GdomDOMObject parent_instance;
    GdomSQLResultSetPrivate *priv;
};

struct _GdomSQLResultSetClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_sql_result_set_get_type (void);

G_END_DECLS

#endif /* __GdomSQLResultSet_H__ */
